% Generated by roxygen2 (4.0.2): do not edit by hand
\docType{class}
\name{H2OModel-class}
\alias{H2OAutoEncoderModel-class}
\alias{H2OBinomialModel-class}
\alias{H2ODimReductionModel-class}
\alias{H2OModel}
\alias{H2OModel-class}
\alias{H2OMultinomialModel-class}
\alias{H2ORegressionModel-class}
\alias{H2OUnknownModel-class}
\alias{show,H2OModel-method}
\title{The H2OModel object.}
\usage{
\S4method{show}{H2OModel}(object)
}
\arguments{
\item{object}{an \code{H2OModel} object.}
}
\description{
This virtual class represents a model built by H2O.
}
\details{
This object has slots for the key, which is a character string that points to the model key existing in the H2O cloud,
the data used to build the model (an object of class H2OFrame).
}
\section{Slots}{

\describe{
\item{\code{conn}}{Object of class \code{H2OConnection}, which is the client object that was passed into the function call.}

\item{\code{model_id}}{A \code{character} string specifying the key for the model fit in the H2O cloud's key-value store.}

\item{\code{finalizers}}{A \code{list} object containing environments with finalizers that
remove keys from the H2O key-value store.}

\item{\code{algorithm}}{A \code{character} string specifying the algorithm that were used to fit the model.}

\item{\code{parameters}}{A \code{list} containing the parameter settings that were used to fit the model that differ from the defaults.}

\item{\code{allparameters}}{A \code{list} containg all parameters used to fit the model.}

\item{\code{model}}{A \code{list} containing the characteristics of the model returned by the algorithm.}
}}

